Get Training Options Route
curl --request GET \
--url https://api.trajectory.ai/api/v1/train/options \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.trajectory.ai/api/v1/train/options"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trajectory.ai/api/v1/train/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bench_id": "<string>",
"default_base_model_id": "Qwen/Qwen3.5-4B",
"models": [
{
"base_model_id": "Qwen/Qwen3.5-4B",
"training_options": {}
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}training
Get Training Options Route
Return supported training models and their authored option ranges.
GET
/
api
/
v1
/
train
/
options
Get Training Options Route
Authorizations
Organization API key
Query Parameters
Response
Successful Response
Available options:
Qwen/Qwen3.5-4B, Qwen/Qwen3.5-397B-A17B, Qwen/Qwen3.6-35B-A3B, nvidia/NVIDIA-Nemotron-3-Ultra-550B-A55B-BF16, nvidia/NVIDIA-Nemotron-3-Super-120B-A12B-BF16, nvidia/NVIDIA-Nemotron-3.5-Lightning-30B-A3B-BF16, openai/gpt-5-mini, openai/gpt-5.4-mini, openai/gpt-5.5, anthropic/claude-sonnet-4.6, google/gemini-3.1-pro-preview Show child attributes
Show child attributes